<?xml version="1.0" encoding="UTF-8"?>
<!--
 * This file is part of the LibreOffice project.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * This file incorporates work covered by the following license notice:
 *
 *   Licensed to the Apache Software Foundation (ASF) under one or more
 *   contributor license agreements. See the NOTICE file distributed
 *   with this work for additional information regarding copyright
 *   ownership. The ASF licenses this file to you under the Apache
 *   License, Version 2.0 (the "License"); you may not use this file
 *   except in compliance with the License. You may obtain a copy of
 *   the License at http://www.apache.org/licenses/LICENSE-2.0 .
-->
<menu:menubar xmlns:menu="http://openoffice.org/2001/menu" menu:id="menubar">
  <menu:menu menu:id=".uno:PickList">
    <menu:menupopup>
      <menu:menuitem menu:id=".uno:AddDirect"/>
      <menu:menuitem menu:id=".uno:Open"/>
      <menu:menuitem menu:id=".uno:OpenRemote" menu:style="text"/>
      <menu:menuitem menu:id=".uno:RecentFileList"/>
      <menu:menuitem menu:id=".uno:CloseDoc"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:AutoPilotMenu" menu:style="text"/>
      <menu:menu menu:id=".uno:TemplateMenu">
          <menu:menupopup>
              <menu:menuitem menu:id=".uno:OpenTemplate" menu:style="text"/>
              <menu:menuitem menu:id=".uno:SaveAsTemplate" menu:style="text"/>
              <menu:menuseparator/>
              <menu:menuitem menu:id=".uno:NewDoc" menu:style="text"/>
          </menu:menupopup>
      </menu:menu>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:Reload" menu:style="text"/>
      <menu:menuitem menu:id=".uno:VersionDialog" menu:style="text"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:Save"/>
      <menu:menuitem menu:id=".uno:SaveAs"/>
      <menu:menuitem menu:id=".uno:SaveAsRemote" menu:style="text"/>
      <menu:menuitem menu:id=".uno:SaveACopy" menu:style="text"/>
      <menu:menuitem menu:id=".uno:SaveAll" menu:style="text"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:CheckOut" menu:style="text"/>
      <menu:menuitem menu:id=".uno:CancelCheckOut" menu:style="text"/>
      <menu:menuitem menu:id=".uno:CheckIn" menu:style="text"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:ExportTo"/>
      <menu:menu menu:id=".uno:ExportAsMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:ExportToPDF" menu:style="text"/>
          <menu:menuitem menu:id=".uno:ExportDirectToPDF" menu:style="text"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menu menu:id=".uno:SendToMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:SendMail" menu:style="text"/>
          <menu:menuitem menu:id=".uno:SendMailDocAsPDF" menu:style="text"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menuitem menu:id=".uno:WebHtml" menu:style="text"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:Print"/>
      <menu:menuitem menu:id=".uno:PrinterSetup" menu:style="text"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:SetDocumentProperties"/>
      <menu:menu menu:id=".uno:SignaturesMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:Signature" menu:style="text"/>
          <menu:menuitem menu:id=".uno:SignPDF" menu:style="text"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:Quit"/>
    </menu:menupopup>
  </menu:menu>
  <menu:menu menu:id=".uno:EditMenu">
    <menu:menupopup>
      <menu:menuitem menu:id=".uno:Undo"/>
      <menu:menuitem menu:id=".uno:Redo"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:Cut"/>
      <menu:menuitem menu:id=".uno:Copy"/>
      <menu:menuitem menu:id=".uno:Paste"/>
      <menu:menu menu:id=".uno:PasteSpecialMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:PasteUnformatted"/>
          <menu:menuitem menu:id=".uno:PasteSpecial"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:CopyObjects"/>
      <menu:menuitem menu:id=".uno:SelectAll"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id="vnd.sun.star.findbar:FocusToFindbar"/>
      <menu:menuitem menu:id=".uno:SearchDialog" menu:style="text"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:ToggleObjectBezierMode"/>
      <menu:menuitem menu:id=".uno:GlueEditMode"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:EditHyperlink" menu:style="text"/>
      <menu:menuitem menu:id=".uno:ModifyField" menu:style="text"/>
      <menu:menuitem menu:id=".uno:ManageLinks" menu:style="text"/>
      <menu:menuitem menu:id=".uno:ObjectMenue" menu:style="text"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:EditDoc" menu:style="text"/>
    </menu:menupopup>
  </menu:menu>
  <menu:menu menu:id=".uno:ViewMenu">
    <menu:menupopup>
      <menu:menuitem menu:id=".uno:PageMode" menu:style="radio"/>
      <menu:menuitem menu:id=".uno:MasterPage" menu:style="radio"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:ToolbarModeUI"/>
      <menu:menuitem menu:id=".uno:AvailableToolbars" menu:style="text"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:StatusBarVisible" menu:style="text"/>
      <menu:menuitem menu:id=".uno:LeftPaneDraw" menu:style="text"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:ShowRuler"/>
      <menu:menu menu:id=".uno:GridMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:GridVisible"/>
          <menu:menuitem menu:id=".uno:GridFront"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:HelplinesMove"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menu menu:id=".uno:SnapLinesMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:HelplinesVisible"/>
          <menu:menuitem menu:id=".uno:HelplinesFront"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:GridUse"/>
          <menu:menuitem menu:id=".uno:HelplinesUse"/>
          <menu:menuitem menu:id=".uno:SnapFrame"/>
          <menu:menuitem menu:id=".uno:SnapPoints"/>
          <menu:menuitem menu:id=".uno:SnapBorder"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:ShowAnnotations"/>
      <menu:menu menu:id=".uno:DisplayQualityMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:OutputQualityColor" menu:style="radio"/>
          <menu:menuitem menu:id=".uno:OutputQualityGrayscale" menu:style="radio"/>
          <menu:menuitem menu:id=".uno:OutputQualityBlackWhite" menu:style="radio"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:Sidebar"/>
      <menu:menuitem menu:id=".uno:ViewSidebarStyles"/>
      <menu:menuitem menu:id=".uno:Gallery"/>
      <menu:menuitem menu:id=".uno:Navigator"/>
      <menu:menuitem menu:id=".uno:ColorControl"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:ZoomPanning"/>
      <menu:menu menu:id=".uno:ZoomMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:ZoomPage"/>
          <menu:menuitem menu:id=".uno:ZoomPageWidth"/>
          <menu:menuitem menu:id=".uno:ZoomOptimal"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:Zoom50Percent"/>
          <menu:menuitem menu:id=".uno:Zoom75Percent"/>
          <menu:menuitem menu:id=".uno:Zoom100Percent"/>
          <menu:menuitem menu:id=".uno:Zoom150Percent"/>
          <menu:menuitem menu:id=".uno:Zoom200Percent"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:ZoomMode"/>
          <menu:menuitem menu:id=".uno:ZoomPrevious"/>
          <menu:menuitem menu:id=".uno:ZoomNext"/>
          <menu:menuitem menu:id=".uno:ZoomObjects"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:Zoom"/>
        </menu:menupopup>
      </menu:menu>
    </menu:menupopup>
  </menu:menu>
  <menu:menu menu:id=".uno:InsertMenu">
    <menu:menupopup>
      <menu:menuitem menu:id=".uno:InsertGraphic"/>
      <menu:menuitem menu:id=".uno:InsertObjectChart"/>
      <menu:menuitem menu:id=".uno:InsertTable"/>
      <menu:menu menu:id=".uno:GraphicMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:Gallery"/>
          <menu:menu menu:id=".uno:Scan">
            <menu:menupopup>
              <menu:menuitem menu:id=".uno:TwainSelect"/>
              <menu:menuitem menu:id=".uno:TwainTransfer"/>
            </menu:menupopup>
          </menu:menu>
         <menu:menuitem menu:id=".uno:InsertAVMedia"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menu menu:id=".uno:ObjectMenu" menu:style="text">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:InsertMath"/>
          <menu:menuitem menu:id=".uno:InsertQrCode"/>
          <menu:menuitem menu:id=".uno:InsertObject"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:CapturePoint"/>
      <menu:menuitem menu:id=".uno:InsertLayer"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:Text"/>
      <menu:menuitem menu:id=".uno:InsertAnnotation"/>
      <menu:menuitem menu:id=".uno:InsertObjectFloatingFrame" menu:style="text"/>
      <menu:menuitem menu:id=".uno:FontworkGalleryFloater"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:HyperlinkDialog"/>
      <menu:menuitem menu:id=".uno:InsertSymbol" menu:style="text"/>
      <menu:menu menu:id=".uno:FormattingMarkMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:InsertNonBreakingSpace"/>
          <menu:menuitem menu:id=".uno:InsertHardHyphen"/>
          <menu:menuitem menu:id=".uno:InsertSoftHyphen"/>
          <menu:menuitem menu:id=".uno:InsertNarrowNobreakSpace"/>
          <menu:menuitem menu:id=".uno:InsertZWSP"/>
          <menu:menuitem menu:id=".uno:InsertWJ"/>
          <menu:menuitem menu:id=".uno:InsertLRM"/>
          <menu:menuitem menu:id=".uno:InsertRLM"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:InsertPageField"/>
      <menu:menu menu:id=".uno:FieldMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:InsertDateFieldFix"/>
          <menu:menuitem menu:id=".uno:InsertDateFieldVar"/>
          <menu:menuitem menu:id=".uno:InsertTimeFieldFix"/>
          <menu:menuitem menu:id=".uno:InsertTimeFieldVar"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:InsertAuthorField"/>
          <menu:menuitem menu:id=".uno:InsertPageField"/>
          <menu:menuitem menu:id=".uno:InsertPageTitleField"/>
          <menu:menuitem menu:id=".uno:InsertPagesField"/>
          <menu:menuitem menu:id=".uno:InsertFileField"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menuseparator/>
      <menu:menu menu:id=".uno:InsertFormMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:Label"/>
          <menu:menuitem menu:id=".uno:Edit"/>
          <menu:menuitem menu:id=".uno:CheckBox"/>
          <menu:menuitem menu:id=".uno:RadioButton"/>
          <menu:menuitem menu:id=".uno:ListBox"/>
          <menu:menuitem menu:id=".uno:ComboBox"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:Pushbutton"/>
          <menu:menuitem menu:id=".uno:Imagebutton"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:FormattedField"/>
          <menu:menuitem menu:id=".uno:DateField"/>
          <menu:menuitem menu:id=".uno:TimeField"/>
          <menu:menuitem menu:id=".uno:NumericField"/>
          <menu:menuitem menu:id=".uno:CurrencyField"/>
          <menu:menuitem menu:id=".uno:PatternField"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:GroupBox"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:ImageControl"/>
          <menu:menuitem menu:id=".uno:FileControl"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:Grid"/>
          <menu:menuitem menu:id=".uno:NavigationBar"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menuitem menu:id=".uno:InsertSignatureLine" menu:style="text"/>
    </menu:menupopup>
  </menu:menu>
  <menu:menu menu:id=".uno:FormatMenu">
    <menu:menupopup>
      <menu:menu menu:id=".uno:FormatTextMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:Bold"/>
          <menu:menuitem menu:id=".uno:Italic"/>
          <menu:menuitem menu:id=".uno:UnderlineSingle"/>
          <menu:menuitem menu:id=".uno:UnderlineDouble"/>
          <menu:menuitem menu:id=".uno:Strikeout"/>
          <menu:menuitem menu:id=".uno:Overline"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:SuperScript"/>
          <menu:menuitem menu:id=".uno:SubScript"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:Shadowed"/>
          <menu:menuitem menu:id=".uno:OutlineFont"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:Grow"/>
          <menu:menuitem menu:id=".uno:Shrink"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:ChangeCaseToUpper"/>
          <menu:menuitem menu:id=".uno:ChangeCaseToLower"/>
          <menu:menuitem menu:id=".uno:ChangeCaseRotateCase"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:ChangeCaseToSentenceCase"/>
          <menu:menuitem menu:id=".uno:ChangeCaseToTitleCase"/>
          <menu:menuitem menu:id=".uno:ChangeCaseToToggleCase"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:SmallCaps"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:ChangeCaseToHalfWidth"/>
          <menu:menuitem menu:id=".uno:ChangeCaseToFullWidth"/>
          <menu:menuitem menu:id=".uno:ChangeCaseToHiragana"/>
          <menu:menuitem menu:id=".uno:ChangeCaseToKatakana"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menu menu:id=".uno:FormatSpacingMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:SpacePara1"/>
          <menu:menuitem menu:id=".uno:SpacePara15"/>
          <menu:menuitem menu:id=".uno:SpacePara2"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:ParaspaceIncrease"/>
          <menu:menuitem menu:id=".uno:ParaspaceDecrease"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:IncrementIndent"/>
          <menu:menuitem menu:id=".uno:DecrementIndent"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menu menu:id=".uno:TextAlign">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:LeftPara" menu:style="radio"/>
          <menu:menuitem menu:id=".uno:CenterPara" menu:style="radio"/>
          <menu:menuitem menu:id=".uno:RightPara" menu:style="radio"/>
          <menu:menuitem menu:id=".uno:JustifyPara" menu:style="radio"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:CellVertTop" menu:style="radio"/>
          <menu:menuitem menu:id=".uno:CellVertCenter" menu:style="radio"/>
          <menu:menuitem menu:id=".uno:CellVertBottom" menu:style="radio"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menu menu:id=".uno:FormatBulletsMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:DefaultBullet"/>
          <menu:menuitem menu:id=".uno:DefaultNumbering"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:OutlineRight"/>
          <menu:menuitem menu:id=".uno:OutlineLeft"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:OutlineDown"/>
          <menu:menuitem menu:id=".uno:OutlineUp"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:SetDefault" menu:style="text"/>
      <menu:menu menu:id=".uno:FormatStylesMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:EditStyle"/>
          <menu:menuitem menu:id=".uno:StyleUpdateByExample"/>
          <menu:menuitem menu:id=".uno:StyleNewByExample"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:DesignerDialog"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:FontDialog"/>
      <menu:menuitem menu:id=".uno:ParagraphDialog"/>
      <menu:menuitem menu:id=".uno:OutlineBullet"/>
      <menu:menuitem menu:id=".uno:ThemeDialog"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:ModifyLayer"/>
      <menu:menu menu:id=".uno:TableMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:SetMinimalRowHeight"/>
          <menu:menuitem menu:id=".uno:SetOptimalRowHeight"/>
          <menu:menuitem menu:id=".uno:DistributeRows"/>
          <menu:menuitem menu:id=".uno:EntireRow"/>
          <menu:menuitem menu:id=".uno:InsertRowDialog"/>
          <menu:menuitem menu:id=".uno:DeleteRows"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:SetMinimalColumnWidth"/>
          <menu:menuitem menu:id=".uno:SetOptimalColumnWidth"/>
          <menu:menuitem menu:id=".uno:DistributeColumns"/>
          <menu:menuitem menu:id=".uno:EntireColumn"/>
          <menu:menuitem menu:id=".uno:InsertColumnDialog"/>
          <menu:menuitem menu:id=".uno:DeleteColumns"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:MergeCells"/>
          <menu:menuitem menu:id=".uno:SplitCell"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:DeleteTable"/>
          <menu:menuitem menu:id=".uno:SelectTable"/>
          <menu:menuitem menu:id=".uno:TableDialog"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menu menu:id=".uno:FormatImageMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:Crop"/>
          <menu:menuitem menu:id=".uno:OriginalSize"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:ExternalEdit"/>
          <menu:menuitem menu:id=".uno:ChangePicture"/>
          <menu:menuitem menu:id=".uno:CompressGraphic"/>
          <menu:menuitem menu:id=".uno:SaveGraphic"/>
          <menu:menuseparator/>
          <menu:menu menu:id=".uno:FormatImageFilterMenu">
            <menu:menupopup>
              <menu:menuitem menu:id=".uno:GraphicFilterSepia"/>
              <menu:menuitem menu:id=".uno:GraphicFilterSobel"/>
              <menu:menuitem menu:id=".uno:GraphicFilterInvert"/>
              <menu:menuitem menu:id=".uno:GraphicFilterMosaic"/>
              <menu:menuitem menu:id=".uno:GraphicFilterPopart"/>
              <menu:menuitem menu:id=".uno:GraphicFilterPoster"/>
              <menu:menuitem menu:id=".uno:GraphicFilterRelief"/>
              <menu:menuitem menu:id=".uno:GraphicFilterRemoveNoise"/>
              <menu:menuitem menu:id=".uno:GraphicFilterSharpen"/>
              <menu:menuitem menu:id=".uno:GraphicFilterSmooth"/>
              <menu:menuitem menu:id=".uno:GraphicFilterSolarize"/>
            </menu:menupopup>
          </menu:menu>
          <menu:menuitem menu:id=".uno:ColorSettings"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:GrafAttrCrop"/>
          <menu:menuitem menu:id=".uno:GraphicSizeCheck"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:TransformDialog"/>
      <menu:menuitem menu:id=".uno:TextAttributes"/>
      <menu:menuitem menu:id=".uno:FormatLine"/>
      <menu:menuitem menu:id=".uno:ConnectorAttributes"/>
      <menu:menuitem menu:id=".uno:FormatArea"/>
      <menu:menuitem menu:id=".uno:Window3D"/>
      <menu:menuitem menu:id=".uno:FillShadow"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:NameGroup" menu:style="text"/>
      <menu:menuitem menu:id=".uno:ObjectTitleDescription" menu:style="text"/>
    </menu:menupopup>
  </menu:menu>
  <menu:menu menu:id=".uno:PageMenu">
    <menu:menupopup>
      <menu:menuitem menu:id=".uno:InsertPage"/>
      <menu:menuitem menu:id=".uno:DuplicatePage"/>
      <menu:menuitem menu:id=".uno:ImportFromFile" menu:style="text"/>
      <menu:menuitem menu:id=".uno:RenamePage" menu:style="text"/>
      <menu:menuitem menu:id=".uno:DeletePage" menu:style="text"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:SaveBackground"/>
      <menu:menuitem menu:id=".uno:SelectBackground"/>
      <menu:menuitem menu:id=".uno:PageSetup"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:DrawingLayout" menu:style="text"/>
      <menu:menuitem menu:id=".uno:InsertMasterPage"/>
      <menu:menuitem menu:id=".uno:DeleteMasterPage"/>
      <menu:menuseparator/>
      <menu:menu menu:id=".uno:SlideMoveMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:MovePageFirst"/>
          <menu:menuitem menu:id=".uno:MovePageUp"/>
          <menu:menuitem menu:id=".uno:MovePageDown"/>
          <menu:menuitem menu:id=".uno:MovePageLast"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menu menu:id=".uno:NavigateMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:FirstPage"/>
          <menu:menuitem menu:id=".uno:PreviousPage"/>
          <menu:menuitem menu:id=".uno:NextPage"/>
          <menu:menuitem menu:id=".uno:LastPage"/>
        </menu:menupopup>
      </menu:menu>
    </menu:menupopup>
  </menu:menu>
  <menu:menu menu:id=".uno:ShapeMenu">
    <menu:menupopup>
      <menu:menuitem menu:id=".uno:Line"/>
      <menu:menuitem menu:id=".uno:BasicShapes.rectangle"/>
      <menu:menuitem menu:id=".uno:BasicShapes.ellipse"/>
      <menu:menu menu:id=".uno:InsertMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:ArrowsToolbox"/>
          <menu:menuitem menu:id=".uno:LineToolbox"/>
          <menu:menuitem menu:id=".uno:ConnectorToolbox"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:BasicShapes"/>
          <menu:menuitem menu:id=".uno:SymbolShapes"/>
          <menu:menuitem menu:id=".uno:ArrowShapes"/>
          <menu:menuitem menu:id=".uno:FlowChartShapes"/>
          <menu:menuitem menu:id=".uno:CalloutShapes"/>
          <menu:menuitem menu:id=".uno:StarShapes"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:Objects3DToolbox"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:DistributeSelection"/>
      <menu:menuitem menu:id=".uno:ToggleObjectRotateMode"/>
      <menu:menuitem menu:id=".uno:AdvancedMode"/>
      <menu:menu menu:id=".uno:MirrorMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:MirrorVert"/>
          <menu:menuitem menu:id=".uno:MirrorHorz"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menu menu:id=".uno:ConvertMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:ChangeBezier"/>
          <menu:menuitem menu:id=".uno:ChangePolygon"/>
          <menu:menuitem menu:id=".uno:convert_to_contour"/>
          <menu:menuitem menu:id=".uno:ConvertInto3D"/>
          <menu:menuitem menu:id=".uno:ConvertInto3DLatheFast"/>
          <menu:menuitem menu:id=".uno:ConvertIntoBitmap"/>
          <menu:menuitem menu:id=".uno:ConvertIntoMetaFile"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menuseparator/>
      <menu:menu menu:id=".uno:ObjectAlign">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:ObjectAlignLeft"/>
          <menu:menuitem menu:id=".uno:AlignCenter"/>
          <menu:menuitem menu:id=".uno:ObjectAlignRight"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:AlignUp"/>
          <menu:menuitem menu:id=".uno:AlignMiddle"/>
          <menu:menuitem menu:id=".uno:AlignDown"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menu menu:id=".uno:ArrangeMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:BringToFront"/>
          <menu:menuitem menu:id=".uno:Forward"/>
          <menu:menuitem menu:id=".uno:Backward"/>
          <menu:menuitem menu:id=".uno:SendToBack"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:BeforeObject"/>
          <menu:menuitem menu:id=".uno:BehindObject"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:ReverseOrder"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menu menu:id=".uno:GroupMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:FormatGroup"/>
          <menu:menuitem menu:id=".uno:FormatUngroup"/>
          <menu:menuitem menu:id=".uno:EnterGroup"/>
          <menu:menuitem menu:id=".uno:LeaveGroup"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:Combine"/>
      <menu:menuitem menu:id=".uno:Dismantle"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:Merge"/>
      <menu:menuitem menu:id=".uno:Substract"/>
      <menu:menuitem menu:id=".uno:Intersect"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:TextCombine"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:CopyObjects"/>
      <menu:menuitem menu:id=".uno:Morphing"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:EqualizeWidth"/>
      <menu:menuitem menu:id=".uno:EqualizeHeight"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:Connect"/>
      <menu:menuitem menu:id=".uno:Break"/>
    </menu:menupopup>
  </menu:menu>
  <menu:menu menu:id=".uno:ToolsMenu">
    <menu:menupopup>
      <menu:menuitem menu:id=".uno:SpellDialog"/>
      <menu:menuitem menu:id=".uno:SpellOnline"/>
      <menu:menuitem menu:id=".uno:ThesaurusDialog" menu:style="text"/>
      <menu:menu menu:id=".uno:LanguageMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:SetLanguageAllTextMenu"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:Hyphenation" menu:style="text"/>
          <menu:menuitem menu:id=".uno:ChineseConversion"/>
          <menu:menuitem menu:id=".uno:HangulHanjaConversion"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:MoreDictionaries"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:AutoCorrectDlg"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:ImageMapDialog" menu:style="text"/>
      <menu:menuitem menu:id=".uno:BmpMask"/>
      <menu:menuitem menu:id=".uno:AVMediaPlayer"/>
      <menu:menuseparator/>
      <menu:menu menu:id=".uno:ToolsFormsMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:SwitchControlDesignMode"/>
          <menu:menuitem menu:id=".uno:UseWizards"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:ControlProperties"/>
          <menu:menuitem menu:id=".uno:FormProperties"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:ShowFmExplorer"/>
          <menu:menuitem menu:id=".uno:TabDialog"/>
          <menu:menuitem menu:id=".uno:AddField"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:OpenReadOnly"/>
          <menu:menuitem menu:id=".uno:AutoControlFocus"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menu menu:id=".uno:MacrosMenu">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:MacroRecorder"/>
          <menu:menuitem menu:id=".uno:RunMacro"/>
          <menu:menuitem menu:id=".uno:BasicIDEAppear"/>
          <menu:menuitem menu:id=".uno:ScriptOrganizer"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:MacroSignature"/>
          <menu:menuitem menu:id=".uno:MacroOrganizer?TabId:short=1"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menu menu:id=".uno:RedactDoc">
        <menu:menupopup>
          <menu:menuitem menu:id=".uno:Rect?FillTransparence:short=50&amp;FillColor:string=COL_GRAY7&amp;LineStyle:short=0&amp;IsSticky:bool=true&amp;ShapeName:string=RectangleRedactionShape"/>
          <menu:menuitem menu:id=".uno:Freeline_Unfilled?Transparence:short=50&amp;Color:string=COL_GRAY7&amp;Width:short=500&amp;IsSticky:bool=true&amp;ShapeName:string=FreeformRedactionShape"/>
          <menu:menuseparator/>
          <menu:menuitem menu:id=".uno:RedactedExportWhite"/>
          <menu:menuitem menu:id=".uno:RedactedExportBlack"/>
          <menu:menuitem menu:id=".uno:RedactionPreviewExport"/>
        </menu:menupopup>
      </menu:menu>
      <menu:menuitem menu:id=".uno:DevelopmentToolsDockingWindow"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:OpenXMLFilterSettings"/>
      <menu:menuitem menu:id="service:com.sun.star.deployment.ui.PackageManagerDialog" menu:style="text"/>
      <menu:menuitem menu:id=".uno:ConfigureDialog" menu:style="text"/>
      <menu:menuitem menu:id=".uno:OptionsTreeDialog"/>
    </menu:menupopup>
  </menu:menu>
  <menu:menu menu:id=".uno:WindowList">
    <menu:menupopup>
      <menu:menuitem menu:id=".uno:NewWindow"/>
      <menu:menuitem menu:id=".uno:CloseWin"/>
      <menu:menuseparator/>
    </menu:menupopup>
  </menu:menu>
  <menu:menu menu:id=".uno:HelpMenu">
    <menu:menupopup>
      <menu:menuitem menu:id=".uno:HelpIndex"/>
      <menu:menuitem menu:id=".uno:ExtendedHelp"/>
      <menu:menuitem menu:id=".uno:Documentation"/>
      <menu:menuitem menu:id=".uno:TipOfTheDay"/>
      <menu:menuitem menu:id=".uno:CommandPopup"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:QuestionAnswers"/>
      <menu:menuitem menu:id=".uno:SendFeedback"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:SafeMode"/>
      <menu:menuseparator/>
      <menu:menuitem menu:id=".uno:ShowLicense"/>
      <menu:menuitem menu:id=".uno:About"/>
    </menu:menupopup>
  </menu:menu>
</menu:menubar>
